Dependency update for OSX/iOS

Feb 17, 2015 at 6:48 PM
Edited Feb 17, 2015 at 6:50 PM
If you aren't building for OSX/iOS/Linux you can ignore this post.

To consolidate some code across platforms, libiconv is needed on OSX and iOS now. You can install it with homebrew by doing the following:

brew install libiconv

I've added support for the iOS 64bit simulator and in doing so changed the ios-cmake toolchain file we are using now. To build on iOS use the toolchain file provided by a ios-cmake fork on GitHub.
git clone https://github.com/cristeab/ios-cmake.git

project link: https://github.com/cristeab/ios-cmake

The respective build documentation pages are up to date with this information as well.

Steve
Feb 17, 2015 at 9:52 PM
FYI I failed to mention in my original post here, this right now only applies to the 'development' branch, but eventually will be in the master when 2.5.0 is released.

Steve